<?

 /*****************************************************************************
 * Filename: project/jas/index.php
 *
 * This file is part of the JAS project.
 * Copyright 2003-2016 by Matthijs Schuurman
 *
 * The JAS project is free software under the terms of the
 * GNU Lesser General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the project or http://jas.junerules.com/license/
 *****************************************************************************/


 if(!isset($_path))
 {
  $_jseskey="jas";

  $_path["root"]="../../";
  require($_path["root"]."include.php");
 }

 if($_benchmark) $_benchmark->start("Init");

 $_jasPath=$_path; //save jas path

 $_session->annex(); //annex current session in backend
 $_session->setKey($_session->backendKey()); //force backend key

 require_once($_path["project"]["include"]."backend.php");
 $backend=new Backend($_path["project"]["templates"]."index.html");

 if($_benchmark) $_benchmark->stop("Init");


 if($_benchmark) $_benchmark->start("Main");
 $success=$backend->main();
 if($_benchmark) $_benchmark->stop("Main");

 if(!$success) //failure in backend
  print $backend->e->show(); //show errors
 else //backend successful
 {
  if($_benchmark) $_benchmark->start("Output");
  $output=$backend->output();
  if($_benchmark) $_benchmark->stop("Output");

  if($_benchmark)
   $output=str_replace("#benchmark#", $_benchmark->show(), $output);
  else
   $output=str_replace("#benchmark#", "", $output);

  print $output;
 }

?>
